### A free/open-source library for quantitative finance

Public Member Functions
AnalyticDigitalAmericanEngine Class Reference
Vanilla option engines

Analytic pricing engine for American vanilla options with digital payoff. More...

`#include <ql/pricingengines/vanilla/analyticdigitalamericanengine.hpp>`

Inherits OneAssetOption::engine.

List of all members.

## Public Member Functions

| AnalyticDigitalAmericanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Analytic pricing engine for American vanilla options with digital payoff.

Possible enhancements:
  add more greeks (as of now only delta and rho available)

Tests:
  - the correctness of the returned value in case of cash-or-nothing at-hit digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing at-hit digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of cash-or-nothing at-expiry digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing at-expiry digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned greeks in case of cash-or-nothing at-hit digital payoff is tested by reproducing numerical derivatives.